> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ground truth traffic



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/model/{model_id}/traffic/ground-truth
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/model/{model_id}/traffic/ground-truth:
    summary: Gets the model's ground truth traffic for matched labels
    parameters:
      - in: path
        name: model_id
        required: true
        schema:
          type: string
      - in: query
        name: startTimestamp
        required: true
        schema:
          type: number
      - in: query
        name: endTimestamp
        required: true
        schema:
          type: number
    get:
      tags:
        - Model
      summary: Get ground truth traffic
      operationId: getGroundTruthTraffic
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/modelTraffic'
          description: >-
            Gets the ground truth traffic based on number of ground truth labels
            that matched prediction data.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Model not found.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    modelTraffic:
      properties:
        modelId:
          description: The model id.
          example: 60116865cd9ab24dd866cfc6
          title: Model id
          type: string
        traffic:
          description: A list that contains the traffic data for model.
          items:
            $ref: '#/components/schemas/dataTraffic'
          title: Model traffic data
          type: array
      required:
        - modelId
        - traffic
      type: object
    dataTraffic:
      properties:
        date:
          type: integer
        queries:
          type: number
      required:
        - queries
        - date
      type: object
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Set up model quality monitoring](/cloud/platform-capabilities/features/monitoring/3-set-up-domino-endpoints/3-set-up-model-qual-monitor.md)
- [Model quality methodology](/cloud/platform-capabilities/features/monitoring/5-use-monitoring/6-model-quality-methodology.md)
- [Set up Cohort Analysis for Model Monitor](/cloud/platform-capabilities/features/monitoring/4-set-up-model-monitor/6-set-up-cohort-analysis-mm.md)
- [Set up Cohort Analysis for Domino endpoints](/cloud/platform-capabilities/features/monitoring/3-set-up-domino-endpoints/4-set-up-cohort-analysis.md)
